package MT::Plugin::MTIfiPad;
use strict;
use MT;
use MT::Plugin;
use base qw( MT::Plugin );

@MT::Plugin::MTIfiPad::ISA = qw( MT::Plugin );

our $VERSION = '0.1';

my $plugin = __PACKAGE__->new( {
    id   => 'MTIfiPad',
    key  => 'mtifipad',
    name => 'MTIfiPad',
    description => 'MT Template tag - MTIfiPad',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry( {
        tags => {
            block    => {
                'IfiPad?' => \&_hdlr_if_ipad,
            },
        },
   } );
}

sub _hdlr_if_ipad {
    my ( $ctx, $args, $cond ) = @_;
    my $app = MT->instance();
    if ( ref $app eq 'MT::App::CMS' ) {
        my $ua = $app->get_header( 'User-Agent' );
        if ( $ua =~ /iPad;/ ) {
            return 1;
        }
    }
    return 0;
}

1;